#ifndef CAPTCHADIALOG_H
#define CAPTCHADIALOG_H

#include "ui_captchadialog.h"


class CaptchaDialog : public QDialog
{
	Q_OBJECT
public:
	CaptchaDialog(QString id, QWidget *p = 0);
	void setPixmap(const QPixmap &pix);
	void setQuestion(const QString &quest);
	void setBody(const QString &body);
	void setText(const QString& text);

private slots:
	void okPressed();
	void cancelPressed();
	void toggleTEVisible(bool);

signals:
	void ok(QString, QString);
	void cancel(QString);

private:
	Ui::CaptchaDialog ui_;
	QString id_;

};

#endif // CAPTCHADIALOG_H
